Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Class SqlOutParameter

    java.lang.Object
      org.springframework.jdbc.core.SqlParameter
          org.springframework.jdbc.core.ResultSetSupportingSqlParameter
              org.springframework.jdbc.core.SqlOutParameter

Direct Known Subclasses:
  SqlInOutParameter

    public class SqlOutParameter

extends ResultSetSupportingSqlParameter

Subclass of SqlParameter to represent an output parameter. No additional properties: instanceof will be used to check for such types.

Output parameters - like all stored procedure parameters - must have names.

Author:
  Rod Johnson, Thomas Risberg, Juergen Hoeller
See Also:
  `SqlReturnResultSet`, `SqlInOutParameter`

Constructor Summary
`SqlOutParameter(java.lang.String name, int sqlType)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, int scale)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, ResultSetExtractor rse)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, RowCallbackHandler rch)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, RowMapper rm)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, java.lang.String typeName)` Create a new SqlOutParameter.
`SqlOutParameter(java.lang.String name, int sqlType, java.lang.String typeName, SqlReturnType sqlReturnType)` Create a new SqlOutParameter.

Method Summary
`SqlReturnType` | `getSqlReturnType()` Return the custom return type, if any.
`boolean` | `isReturnTypeSupported()` Return whether this parameter holds a custom return type.

Methods inherited from class org.springframework.jdbc.core.ResultSetSupportingSqlParameter
`getResultSetExtractor, getRowCallbackHandler, getRowMapper, isInputValueProvided, isResultSetSupported`

Methods inherited from class org.springframework.jdbc.core.SqlParameter
`getName, getScale, getSqlType, getTypeName, isResultsParameter, sqlTypesToAnonymousParameterList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           int scale)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `scale` - the number of digits after the decimal point (for DECIMAL and NUMERIC types)

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           java.lang.String typeName)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `typeName` - the type name of the parameter (optional)

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           java.lang.String typeName,
                           SqlReturnType sqlReturnType)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `typeName` - the type name of the parameter (optional)
    `sqlReturnType` - custom value handler for complex type (optional)

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           ResultSetExtractor rse)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `rse` - ResultSetExtractor to use for parsing the ResultSet

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           RowCallbackHandler rch)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `rch` - RowCallbackHandler to use for parsing the ResultSet

### SqlOutParameter

    public SqlOutParameter(java.lang.String name,
                           int sqlType,
                           RowMapper rm)

  Create a new SqlOutParameter.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `sqlType` - SQL type of the parameter according to java.sql.Types
    `rm` - RowMapper to use for parsing the ResultSet

Method Detail

### getSqlReturnType

    public SqlReturnType getSqlReturnType()

  Return the custom return type, if any.

### isReturnTypeSupported

    public boolean isReturnTypeSupported()

  Return whether this parameter holds a custom return type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD